DPASTE(1)

NAME
dpaste - A simple pastebin for light values (max 64KB) using OpenDHT distributed hash table.

SYNOPSIS
dpaste -h

dpaste -v

dpaste [options...]

dpaste -g code [options...]

DESCRIPTION

By default, dpaste will read its standard input for a file to paste on OpenDHT. For fetching a file, you have to provide the code associated to it using the flag -g.

OPTIONS

-h  Prints some help.

-v  Shows the version of the program.

-g code, --get code
    Specifies the code code used to recover the file on the DHT.

--aes-encrypt
    Use AES scheme for encryption. Password is automatically saved in the returned code ("dpaste:XXXXXX").

--gpg-encrypt
    Use GPG scheme for encryption.

-r recipient, --recipients recipient
    Specify the list of recipients to use for GPG encryption (--gpg--encrypt). Use -r multiple times to specify a list of recipients.

-s, --sign
    Tells wether message should be signed using the user's GPG key. The key has to be configured through the configuration file ($XDG_CONFIG_DIR/dpaste.conf, keyword: pgp_key_id).

--no-decrypt
    Tells dpaste not to decrypt PGP data and rather output it on stdout.

--self-recipient
    Include self as recipient. Self refers to the key id configured for signing (see --sign description). This only takes effect if option -e is also used.

RETURN CODE
The program returns 0 on success. Otherwise 1 is returned.

FILES

$XDG_CONFIG_DIR/dpaste.conf
    Main configuration file where. dpaste will look for this file to recover complementary information.

AUTHORS
• Simon Désaulniers <sim.desaulniers@gmail.com>

• Adrien Béraud <adrien.beraud@savoirfairelinux.com>